Force Sync HA Group

Force Sync HA Group
Force Sync HA group.

Forces immediate state synchronization across all members of an HA group ensuring all appliances have consistent configuration and state. Use when appliances may be out of sync due to network issues or configuration drift.

Request
URI
POST
https://{server}/hybridity/api/interconnect/appliances/ha/groups/{groupId}/forceSync
COPY
Path Parameters
string
groupId
Required

Unique identifier of the HA group to synchronize


Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns GroupActionSuccessResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "groupId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns HAInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/appliances/ha/groups/{groupId}/forceSync